Index: c/src/ada-tests/mptests/mp01/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp01/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp01/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp02/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp02/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp02/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp03/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp03/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp03/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp04/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp04/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp04/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp05/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp05/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp05/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp06/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp06/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp06/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp07/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp07/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp07/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp08/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp08/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp08/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp09/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp09/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp09/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp10/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp10/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp10/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp11/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp11/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp11/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp12/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp12/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp12/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp13/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp13/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp13/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/mptests/mp14/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp14/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/mptests/mp14/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/samples/base_mp/mptest.ads
===================================================================
--- c/src/ada-tests/samples/base_mp/mptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/samples/base_mp/mptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with BSP_MPCI;
 with RTEMS;
Index: c/src/ada-tests/samples/base_sp/sptest.ads
===================================================================
--- c/src/ada-tests/samples/base_sp/sptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/samples/base_sp/sptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/samples/ticker/sptest.ads
===================================================================
--- c/src/ada-tests/samples/ticker/sptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/samples/ticker/sptest.ads	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/support/init.c
===================================================================
--- c/src/ada-tests/support/init.c	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/support/init.c	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -11,4 +11,5 @@
  */
 
+#define __RTEMS_VIOLATE_KERNEL_VISIBILITY__
 #include <bsp.h>
 
@@ -24,4 +25,15 @@
 }
 
+/*
+ *  Only for sp04
+ */
+
+rtems_id tcb_to_id(
+  Thread_Control *tcb
+)
+{
+  return tcb->Object.id;
+}
+
 #define CONFIGURE_INIT
 #include "config.h"
Index: c/src/ada-tests/support/test_support.adb
===================================================================
--- c/src/ada-tests/support/test_support.adb	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
+++ c/src/ada-tests/support/test_support.adb	(revision d0f426a1bf1233f0d166b358071ea28311e9aa30)
@@ -132,5 +132,5 @@
       -- 
       Text_IO.Put_Line( "<pause> " );
-      Text_IO.Get_Line( Ignored_String, Ignored_Last );
+      -- Text_IO.Get_Line( Ignored_String, Ignored_Last );
 
    exception
